package com.bonus.canteen.menu.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.menu.mapper.MenuMaterialMapper;
import com.bonus.canteen.menu.domain.MenuMaterial;
import com.bonus.canteen.menu.service.IMenuMaterialService;

/**
 * 商家食材原料信息Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-03
 */
@Service
public class MenuMaterialServiceImpl implements IMenuMaterialService {
    @Autowired
    private MenuMaterialMapper menuMaterialMapper;

    /**
     * 查询商家食材原料信息
     * 
     * @param id 商家食材原料信息主键
     * @return 商家食材原料信息
     */
    @Override
    public MenuMaterial selectMenuMaterialById(Long id) {
        return menuMaterialMapper.selectMenuMaterialById(id);
    }

    /**
     * 查询商家食材原料信息列表
     * 
     * @param menuMaterial 商家食材原料信息
     * @return 商家食材原料信息
     */
    @Override
    public List<MenuMaterial> selectMenuMaterialList(MenuMaterial menuMaterial) {
        return menuMaterialMapper.selectMenuMaterialList(menuMaterial);
    }

    /**
     * 新增商家食材原料信息
     * 
     * @param menuMaterial 商家食材原料信息
     * @return 结果
     */
    @Override
    public int insertMenuMaterial(MenuMaterial menuMaterial) {
        try {
            return menuMaterialMapper.insertMenuMaterial(menuMaterial);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改商家食材原料信息
     * 
     * @param menuMaterial 商家食材原料信息
     * @return 结果
     */
    @Override
    public int updateMenuMaterial(MenuMaterial menuMaterial) {
        try {
            return menuMaterialMapper.updateMenuMaterial(menuMaterial);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除商家食材原料信息
     * 
     * @param ids 需要删除的商家食材原料信息主键
     * @return 结果
     */
    @Override
    public int deleteMenuMaterialByIds(Long[] ids) {
        return menuMaterialMapper.deleteMenuMaterialByIds(ids);
    }

    /**
     * 删除商家食材原料信息信息
     * 
     * @param id 商家食材原料信息主键
     * @return 结果
     */
    @Override
    public int deleteMenuMaterialById(Long id) {
        return menuMaterialMapper.deleteMenuMaterialById(id);
    }
}
